package jtznyj.engineer.service.winform.data;

import java.util.Comparator;
import java.util.Date;

/**
 * 监控描述类
 */
public class MonitorDescription {
    /**
     * 起始日期
     */
    public Date _dtStart;

    /**
     * 截止日期
     */
    public Date _dtEnd;

    /**
     * 名称
     */
    public String _name;

    /**
     * 真实字段
     */
    public String _realField;

    /**
     * 起始深度
     */
    public double _startDepth;

    public double _startZtDepth;

    /**
     * 截止深度
     */
    public double _endDepth;

    public double _endZtDepth;

    /**
     * 起始值
     */
    public double _startValue;

    /**
     * 截止值
     */
    public double _endValue;

    /**
     * 第二个状态
     */
    public SecondState _secondState;

    /**
     * 报警类型
     */
    public String lx;

    public static Comparator<MonitorDescription> McpSortByStartTime = new Comparator<MonitorDescription>() {
        public int compare(MonitorDescription mcp0, MonitorDescription mcp1) {
            int result;
            if (mcp0._dtStart.getTime() > mcp1._dtStart.getTime()) {
                result = 1;
            } else if (mcp0._dtStart == mcp1._dtStart) {
                result = 0;
            } else {
                result = -1;
            }
            return result;
        }
    };

    public MonitorDescription Clone() {
        MonitorDescription result = new MonitorDescription();

        this._name = String.valueOf(this._name);
        this._realField = String.valueOf(this._realField);
        this._dtStart = this._dtStart;
        this._dtEnd = this._dtEnd;
        this._startDepth = this._startDepth;
        this._endDepth = this._endDepth;
        this._startValue = this._startValue;
        this._endValue = this._endValue;
        this._startZtDepth = this._startZtDepth;
        this._endZtDepth = this._endZtDepth;
        this.lx = this.lx;
        this._secondState = (SecondState) this._secondState.Clone();
        return result;
    }

    public void tryMerge(){

    }
}
